"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const url = __importStar(require("url"));
const is_relative_url_1 = __importDefault(require("is-relative-url"));
exports.default = (inputValue, rootUrl) => {
    const isEmpty = (style) => {
        return style === undefined || style === null || style.trim().length === 0;
    };
    if (isEmpty(inputValue)) {
        return null;
    }
    try {
        const base = new URL(rootUrl);
        const image = /(background-image:\s?url\((.*)?)\)/.exec(inputValue);
        const match = image[2].replace(/'|"/g, '');
        if (is_relative_url_1.default(match)) {
            return url.resolve(base.origin, match);
        }
        return match;
    }
    catch (e) {
        return null;
    }
};
