"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("../../index"));
const contract = {
    itemSelector: '[class*="RecipesGrid"] [class*="RecipeItem"]',
    puppeteer: true,
    attributes: {
        photo: {
            type: 'link',
            selector: 'img',
            attribute: 'src'
        },
        link: {
            type: 'link',
            selector: 'a',
            attribute: 'href'
        },
        name: {
            type: 'text',
            selector: 'a'
        }
    }
};
const scraper = new index_1.default('https://www.quitoque.fr/recettes', contract);
scraper.scrapePage().then(recipes => {
    console.log(recipes);
});
