import Fetcher from './fetcher';
import { ScrapedPage } from '../fetcher/fetcher';
import puppeteer, { PuppeteerNodeLaunchOptions } from 'puppeteer';
export default class PuppeteerFetcher implements Fetcher {
    private url;
    private waitForPageLoadSelector;
    private options;
    constructor(url: string, waitForPageLoadSelector?: string, options?: PuppeteerNodeLaunchOptions);
    getBrowserType(): typeof puppeteer;
    setupBrowser(): Promise<{
        response: puppeteer.HTTPResponse;
        contents: string;
    }>;
    getPage(): Promise<ScrapedPage>;
}
